Bug 1540283 - Some of EC2 security groups record values are not displayed correctly
Summary: Some of EC2 security groups record values are not displayed correctly
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.10.0
Assignee: Tomas Coufal
QA Contact: Matouš Mojžíš
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-01-30 17:01 UTC by Matouš Mojžíš
Modified: 2019-02-07 23:01 UTC (History)
7 users (show)

Fixed In Version: 5.10.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:01:05 UTC
Category: ---
Cloudforms Team: AWS
Target Upstream Version:


Attachments (Terms of Use)
sg records (142.42 KB, image/png)
2018-01-30 17:01 UTC, Matouš Mojžíš
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:01:11 UTC

Description Matouš Mojžíš 2018-01-30 17:01:07 UTC
Created attachment 1388535 [details]
sg records

Description of problem:


Version-Release number of selected component (if applicable):
5.9.0.17

How reproducible:
Always

Steps to Reproduce:
1. Have an ec2 provider with a security group(which has all the possible values in records)
2. Go to Networks -> Security groups
3. Select a security group and go to its summary

Actual results:
All traffic with All protocol are displayed as -1.
When port range is All then Port and End port are displayed as 0.
When port range is N/A then it's displayed also as 0.
When source is IPV6 then record is not displayed at all!!!
When record type is custom protocol then only its number is displayed.


Expected results:


Additional info:
I have added different netmask to every record so we can differentiate records in attached screenshot.

Comment 3 Tomas Coufal 2018-04-27 11:10:03 UTC
Merged!

Comment 4 Matouš Mojžíš 2018-07-25 13:54:17 UTC
Verified in 5.10.0.4. All these values are displayed correctly now except "When record type is custom protocol then only its number is displayed", but this is not important at all.

Comment 5 errata-xmlrpc 2019-02-07 23:01:05 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.